Debian Bug report logs - #712786
ITP: python-amqp -- Low-level AMQP client

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Michael Fladischer <FladischerMichael@fladi.at>

Date: Wed, 19 Jun 2013 13:36:02 UTC

Owned by: Michael Fladischer <FladischerMichael@fladi.at>

Severity: wishlist

Fixed in version python-amqp/1.0.12-1

Done: Michael Fladischer <FladischerMichael@fladi.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#712786; Package wnpp. (Wed, 19 Jun 2013 13:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Fladischer <FladischerMichael@fladi.at>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 19 Jun 2013 13:36:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Fladischer <FladischerMichael@fladi.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-amqp -- Low-level AMQP client
Date: Wed, 19 Jun 2013 15:33:05 +0200
Package: wnpp
Severity: wishlist
Owner: Michael Fladischer <FladischerMichael@fladi.at>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

* Package name    : python-amqp
  Version         : 1.0.11
  Upstream Author : Ask Solem <pyamqp@celeryproject.org>
* URL             : https://pypi.python.org/pypi/amqp
* License         : LGPL-2.1+
  Programming Lang: Python
  Description     : Low-level AMQP client

 This is a fork of amqplib which was originally written by Barry Pederson. It
 is maintained by the Celery project, and used by kombu as a pure Python
 alternative when librabbitmq is not available.
 .
 This library should be API compatible with librabbitmq. Differences from
 amqplib are:
  * Supports draining events from multiple channels (Connection.drain_events).
  * Support for timeouts.
  * Channels are restored after channel error, instead of having to close the
    connection.
  * Support for heartbeats.
  * Supports RabbitMQ extensions:
    - Consumer Cancel Notifications.
    - Publisher confirms.
    - Exchange-to-exchange bindings: exchange_bind / exchange_unbind.
  * Support for basic_return.
  * Uses AMQP 0-9-1 instead of 0-8.
  * Exposes the underlying socket as Connection.sock.
  * Adds Channel.no_ack_consumers to keep track of consumer tags that set the
    no_ack flag.
  * Slightly better at error recovery.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRwbMOAAoJEGlMre9Rx7W2Yi8P/iCdqt9mEduPh6qLJB9mS69I
pTy37HiZ6FwlMUGuQp13g780bQ5rqIWyJbL1YEskxbckodXyFxvvx6oYuHKB3QiO
korzXn8CHgzZl3ufLqlrtLMrTSsOn+gv0R6g1kU7j15PBiaJmtPwfxu8JcPMTsEZ
UbiAjE+niqRolZuzLoVI0x/IzRDBiPsnmXhlEh50TyltSyh8tJjEu0bErb58iRNC
LL7gO8lg21mzMPNnfWLmH+dz6HUVDYblrVW/P8Yi9SjQxiXDTJnX4AEtQhy0wXYm
dQiHw4g3pBxf+2ZMRLtHvY5dYId00J6SWDAAU+r/mAhK16VB1FV2D8Rtks0Hnx1y
+CZSUW6W6dGecSy0Uz57/PHPz+sE3MCYn12qjvolLLWFPtsSpLFnBqvjOV18/vzG
2JKD+CbVyawfz9wI2d3FWhT2Ww+O3iyYcIuld9dk9TZdiQ02pCQK/zPTraZCwD6/
nirpMZ6R9rWD/oIhk0RbMesLQQhV0gEzAz9wTOPH/UCPwMp2YcNsXb4UCVe1Ha7G
UT5x/BCGw3kwtj/8mySBYMHOBy/RmbaezVKFgv8J6TdySrubJkI9CF1VQremh9Lc
Zq7SKq0udTfDQc3CQAEkYKIB0FVRSmxfY4+JhgfcezsToRYmxOpZPuD/2Nxotoo9
6mYs1vs5jI7VT6O6Swpe
=sG1y
-----END PGP SIGNATURE-----



Added tag(s) pending. Request was from fladi-guest@users.alioth.debian.org to control@bugs.debian.org. (Wed, 19 Jun 2013 14:15:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Fladischer <FladischerMichael@fladi.at>:
Bug#712786; Package wnpp. (Thu, 27 Jun 2013 13:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Fladischer <FladischerMichael@fladi.at>. (Thu, 27 Jun 2013 13:12:04 GMT) Full text and rfc822 format available.

Message #12 received at 712786@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Michael Fladischer <FladischerMichael@fladi.at>, PKG OpenStack <openstack-devel@lists.alioth.debian.org>, 712786@bugs.debian.org
Subject: ITP python-amqp & python-kombu
Date: Thu, 27 Jun 2013 21:09:32 +0800
Hi Michael,

I've seen that you're currently working on an update of python-kombu and
prepared an ITP for python-amqp (which is a new dependency of
python-kombu). Do you have an ETA for that? Would you accept some help?
I need python-kombu >= 2.4.3 for OpenStack, and I would like very much
to have that ready soon.

Let me know, Cheers,

Thomas Goirand (zigo)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Fladischer <FladischerMichael@fladi.at>:
Bug#712786; Package wnpp. (Thu, 27 Jun 2013 14:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Fladischer <michael@fladi.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Fladischer <FladischerMichael@fladi.at>. (Thu, 27 Jun 2013 14:06:04 GMT) Full text and rfc822 format available.

Message #17 received at 712786@bugs.debian.org (full text, mbox):

From: Michael Fladischer <michael@fladi.at>
To: Thomas Goirand <zigo@debian.org>, 712786@bugs.debian.org
Cc: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Subject: Re: Bug#712786: ITP python-amqp & python-kombu
Date: Thu, 27 Jun 2013 15:23:23 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 2013-06-27 15:09, Thomas Goirand wrote:

> I've seen that you're currently working on an update of
> python-kombu and prepared an ITP for python-amqp (which is a new
> dependency of python-kombu). Do you have an ETA for that? Would you
> accept some help?

python-amqp-1.0.12-1 is waiting for a sponsor on the DPMT TODO wiki
page[0]. Once it is in the archive, it will take me one or two days to
get kombu ready for an upload (given that someone sponsors me).

Cheers,
- -- 
Michael Fladischer
Fladi.at
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRzDzLAAoJEGlMre9Rx7W27MMQALvYp/14HgPsS/G1TKNBcheh
99+Ve8Nq1E9KMRaXkPz1ZLkZ5KL6w/nHtlfWplkBGSKr878ETCYFVbH2QizTsfDY
S+wjfJaK6J4JaofROro0/BdNmCEsG59inCinSlotCkQisCs3iaO+GAk1oYYxjxDm
F6ZBKfF3MzT0zM1JHu063cLoCY10rgiaZmb7hCmWhPU6hLAchpHv/cR38SVyoZz+
jCuNHhvKwNnUjEhW+oDYV491MHu8Jvrrc3EADI8C5cBFZA9Mu3POhyFYc+F315ti
w8QOtpI90BGetB4t+W00pukeWVqa1TyArJ+wN8ZeQvnirziBcfGW4nrcOK3WAjZe
DOomtz+NY/FY9So5Tjq/gNU50Cc/Zh/mvswHNQMdn5H6Bz+RXVviqPgKpq0C/2Vx
nr1NIXMqZLGEmpBXerwKpDFWLyu+AcToHhu+Q8bTzXEgXgMKbm/naS2LzgW00KUM
TArjKJIcQwTfKoOQklZaxr3P860uU2ovBfG74GndSF/0oQy4NmLBcqCkEy5E8Fw0
q0aRCIkjWlIiH2P2eprDXHB6Jmd1XQGLnppe2CqFfFpvD6op+cj5L/13cgT+RTPu
WjsjGdZBhSU5tPXltwqtUmyEkDrt5dBbnB7TeeKBwzPWVUXUi/qQ8Oy7bOxPQsij
6kthXjAaGjezyiOQFqex
=KJWv
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Fladischer <FladischerMichael@fladi.at>:
Bug#712786; Package wnpp. (Thu, 27 Jun 2013 18:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Fladischer <FladischerMichael@fladi.at>. (Thu, 27 Jun 2013 18:39:04 GMT) Full text and rfc822 format available.

Message #22 received at 712786@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Michael Fladischer <michael@fladi.at>
Cc: 712786@bugs.debian.org, PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Subject: Re: Bug#712786: ITP python-amqp & python-kombu
Date: Fri, 28 Jun 2013 02:34:33 +0800
On 06/27/2013 09:23 PM, Michael Fladischer wrote:
> On 2013-06-27 15:09, Thomas Goirand wrote:
> 
>> I've seen that you're currently working on an update of
>> python-kombu and prepared an ITP for python-amqp (which is a new
>> dependency of python-kombu). Do you have an ETA for that? Would you
>> accept some help?
> 
> python-amqp-1.0.12-1 is waiting for a sponsor on the DPMT TODO wiki
> page[0]. Once it is in the archive, it will take me one or two days to
> get kombu ready for an upload (given that someone sponsors me).
> 
> Cheers,

Hi,

Here's my comments. I really have not much to say, to me the package is
quite good the way it is.

IMO, you should be using compat level and debhelper 9, there's no reason
for a new package to stick to version 8.

These aren't needed IMO:
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.0

especially considering that in Sid/Jessie, we have only python 2.7.

I don't think these are blockers (it's some details only), so I have
uploaded the package. Do you need me to sponsor the uploads for the
other packages in the wiki?

As for python-kombu, the reasonable thing to do is to wait that
python-amqp is accepted by the FTP masters, otherwise we will end up
with a non-working package in the archive until amqp is accepted. I'll
be happy to sponsor kombu when amqp is approved. Let me know whenever
you receive the approved (or reject) email from the FTP masters.

Cheers,

Thomas Goirand (zigo)



Reply sent to Michael Fladischer <FladischerMichael@fladi.at>:
You have taken responsibility. (Sat, 13 Jul 2013 06:06:31 GMT) Full text and rfc822 format available.

Notification sent to Michael Fladischer <FladischerMichael@fladi.at>:
Bug acknowledged by developer. (Sat, 13 Jul 2013 06:06:31 GMT) Full text and rfc822 format available.

Message #27 received at 712786-close@bugs.debian.org (full text, mbox):

From: Michael Fladischer <FladischerMichael@fladi.at>
To: 712786-close@bugs.debian.org
Subject: Bug#712786: fixed in python-amqp 1.0.12-1
Date: Sat, 13 Jul 2013 06:02:21 +0000
Source: python-amqp
Source-Version: 1.0.12-1

We believe that the bug you reported is fixed in the latest version of
python-amqp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 712786@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Fladischer <FladischerMichael@fladi.at> (supplier of updated python-amqp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 27 Jun 2013 15:12:51 +0200
Source: python-amqp
Binary: python-amqp python3-amqp python-amqp-doc
Architecture: source all
Version: 1.0.12-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Michael Fladischer <FladischerMichael@fladi.at>
Description: 
 python-amqp - Low-level AMQP client
 python-amqp-doc - Low-level AMQP client (Documentation)
 python3-amqp - Low-level AMQP client (Python3 version)
Closes: 712786
Changes: 
 python-amqp (1.0.12-1) unstable; urgency=low
 .
   * Initial release (Closes: #712786).
Checksums-Sha1: 
 50b886e2363e2ff484344d8de33d22fc93254600 1651 python-amqp_1.0.12-1.dsc
 c18dc2168a10227c673aa6be80cddfb294489f86 70242 python-amqp_1.0.12.orig.tar.gz
 186fbfeca44637c4d8720056892ad748b5c82cf2 2796 python-amqp_1.0.12-1.debian.tar.gz
 bad23fad2a058cea019f9da09be80d79a2a86bad 39668 python-amqp_1.0.12-1_all.deb
 eafa69746a48d682fa54d38046b088c2316f969e 39666 python3-amqp_1.0.12-1_all.deb
 821f7f9b48eaa6bfae09010c09a361738fdc828b 67250 python-amqp-doc_1.0.12-1_all.deb
Checksums-Sha256: 
 d7f513737c532ad03fd04d3e5f4b4123874ef1072dad9d648274406c627668a2 1651 python-amqp_1.0.12-1.dsc
 c2c09d0310009efd9b19fc12efff7a085b789b841341a533451b85750be6518d 70242 python-amqp_1.0.12.orig.tar.gz
 11dc88301e3628aceba7afa1bc3f6f9533abc51525d1c6c281e7a2256c0f7e6f 2796 python-amqp_1.0.12-1.debian.tar.gz
 216d57e5d2ecf76e11eab2d8ac8546ec9525271d46c384c26f8e14286491bdfd 39668 python-amqp_1.0.12-1_all.deb
 b9da59da6f24108c2a9fe76fc97404deeade27bcfc06b470ebff429b99684429 39666 python3-amqp_1.0.12-1_all.deb
 3f26093f82be7a5cdc48039f8ea1e5a02f9b3083ac091ffbfac8f194699d0c04 67250 python-amqp-doc_1.0.12-1_all.deb
Files: 
 fbe5cca506d6e24fed6df22b27cd0d3b 1651 python extra python-amqp_1.0.12-1.dsc
 1017ab105af25a6b5b2253adcb7cc5a6 70242 python extra python-amqp_1.0.12.orig.tar.gz
 c98ccb3731cd6f1e1314b4d45509ed7e 2796 python extra python-amqp_1.0.12-1.debian.tar.gz
 7a69706d94517f022f5f86f240f369e2 39668 python extra python-amqp_1.0.12-1_all.deb
 1e5129778faf709d42f92a70a56ec175 39666 python extra python3-amqp_1.0.12-1_all.deb
 dbcb0ab4afe67a55d4ee2c634c28cc09 67250 doc extra python-amqp-doc_1.0.12-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlHMhEAACgkQl4M9yZjvmkmdlwCfUjVJn/fdlt4tXJQtklOWqYN8
cuYAnRil9kpdy3pk92/TeYF2fhynu/Uc
=M6RV
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Aug 2013 07:35:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:24:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.